breed [cars car]
breed [animals animal]

cars-own[driver-view speed]

globals [number-of-collisions top-speed-meters number-of-bridges bridge-lower-bound bridge-upper-bound number-of-animals-created number-of-cars-created]

;metoda nasetupuje prostredi simulace, nejprve vycisti canvas, resetuje tick, vykresli travu, silnici a stredovou caru, nasledne nastaví iniciální hodnoty globálních proměnných
to setup
clear-all
reset-ticks
create-grass
create-road
create-mid-line

set number-of-collisions 0
set number-of-bridges 0
set number-of-animals-created 0
set number-of-cars-created 0
;prepocitavame kmh na ms
set top-speed-meters (road-top-speed / 3.6)
set bridge-lower-bound 59
set bridge-upper-bound 69
end

;metoda predstavuje jeden tick v simulaci, behem nej se volaji metody, ktere pridaji zvirata a auta a uvedou je do pohybu
to go
spawn-and-move-animals
spawn-and-move-cars
tick
end

;metoda prida a uvede zvirata do pohybu
to spawn-and-move-animals
  ;metoda pridava a pohybuje zviraty jen po meze promenne ticks-to-be-run
  if ticks <= ticks-to-be-run [
    ;zvirata pridavame pouze tehdy, pokud se jedná o každý Nty tick, kde N = 1 + new-animal-every-tick-number
    if ticks > 0 and ticks mod (1 + new-animal-every-tick-number) = 0 [
      ;pridani zvirete s parametry
      setup-animals white 100 69 max-pycor
      setup-animals black 100 min-pycor 60
    ]
    ask animals with [color = white] [
      ;uvadime do pohybu zvirata s bilou barvou
      forward 2
      if number-of-bridges > 0 [
	;nasledujici radky se staraji o to, aby zvire uprednostnovalo cestu pres most pokud je most v dosahu
        let target-patch min-one-of (patches in-radius 25 with [pcolor = brown]) [distance myself]
        let current-patch patch-here
        if target-patch != nobody and [pycor] of target-patch = bridge-upper-bound [
          ifelse [pcolor] of current-patch = brown
          [set heading 180]
          [set heading towards target-patch]
        ]
      ]
    ]
    ask animals with [color = black] [
      ;stejny pripad jako vyse, pouze pro jiny smer pohybu zvirat
      forward -2
      if number-of-bridges > 0 [
        let target-patch min-one-of (patches in-radius 25 with [pcolor = brown]) [distance myself]
        let current-patch patch-here
        if target-patch != nobody and [pycor] of target-patch = bridge-lower-bound [
          ifelse [pcolor] of current-patch = brown
          [set heading 180]
          [set heading towards target-patch
            rt 180]
        ]
      ]
    ]
    ;pokud se zvire dostane na hranici sveta, odstranujeme ho		
    ask animals [
      if (pxcor >= (max-pxcor - patch-size)) or (pxcor <= (min-pxcor + patch-size))
      or (pycor >= (max-pycor - patch-size)) or (pycor <= (min-pycor + patch-size))  [
        die
      ]
    ]
  ]
end
;metoda, ktera na zaklade vstupnich parametru zaklada 10 zvirat a nastavuje jim zadane parametry
to setup-animals [animal-color animal-heading y-cor-min y-cor-max]
  create-animals 10
  set number-of-animals-created (number-of-animals-created + 10)
  ask animals with [size != 1.2] [
    set size 1.2
    set shape "sheep"
    set color animal-color
    setxy random-xcor (y-cor-min + random (y-cor-max - y-cor-min))
    set heading (animal-heading + random animal-heading)

  ]
end
;metoda, ktera na zaklade vstupnich dat zaklada auta
to setup-car [car-color x-cor y-cor car-heading]
  create-cars 1
  set number-of-cars-created (number-of-cars-created + 1)
    ask cars with [size != 2] [
      set color car-color
      set shape "car"
      set size 2
      ;jelikoz bereme, ze kazdy clovek ma jinak zdrave oci, pocitame viditelnost primo pro ridice na zaklade nasledujici funkce - rozmezi je tedy 0.8-1.2 * visibility	
      set driver-view (visibility * (0.8 + random-float 0.4))
      set heading car-heading
      ;inicialni rychlost auta je top-speed-meters silnice
      set speed top-speed-meters
      setxy x-cor y-cor
    ]
end
;metoda, ktera zpusobuje pridavani aut, zaroven resi kolize aut a zvirat
to spawn-and-move-cars
 ;omezeni na max tick kdy se budou auta pridavat a pohybovat
 if ticks <= ticks-to-be-run [
    ;auta se pridavaji na zaklade zadaneho ticku nahodne, to z duvodu, aby se auta nezobrazovala za sebou s konstantni vzdalenosti
    if ticks > 0 and ticks mod (1 + random new-car-every-tick-number) = 0 [
      setup-car blue min-pxcor 62 90
      setup-car red max-pxcor 66 270
    ]
    ;pohyb modrych aut
    ask cars with [color = blue] [
      ;we assume that one patch is one meter
      forward speed
      ;pokud narazime do hranice sveta, odstranujeme
      if xcor > max-pxcor - patch-size [
        die
      ]
    ]
    ;pohyb cervenych aut
    ask cars with [color = red] [
      ;we assume that one patch is one meter
      forward speed
      ;pokud narazime do hranice sveta, odstranujeme
      if xcor < min-pxcor + patch-size [
        die
      ]
    ]
    ask cars [
      ;reseni kolizi, pokud je na pozici auta zvire a zaroven se nejedna o patch mostu, nasleduje kolize
      if (any? animals-here and pcolor != brown) [
        ask animals-here [
          die
        ]
        set number-of-collisions (number-of-collisions + 1)
        die
      ]
      ;uhel 30 stupnu vpravo a vzdalenost 1 opet znamena kolizi - pokud se nejedna o hnedy patch = most
      if (any? animals-on patch-right-and-ahead 30 1 and pcolor != brown)[
        ask animals-on patch-right-and-ahead 30 1 [
          die
        ]
        set number-of-collisions (number-of-collisions + 1)
        die
      ]
      ;uhel 30 stupnu vlevo a vzdalenost 1 opet znamena kolizi - pokud se nejedna o hnedy patch = most
      if (any? animals-on patch-left-and-ahead 30 1 and pcolor != brown)[
        ask animals-on patch-left-and-ahead 30 1 [
          die
        ]
        set number-of-collisions (number-of-collisions + 1)
        die
      ]
      ;situace, kdy je zvire v zornem poli auta - vzdalenost driver-view a uhel 30 stupnu od headingu na obe strany
      let patches-in-vision animals in-cone (driver-view) 30
      ifelse (patches-in-vision != nobody) and (any? animals-on patches-in-vision)
      [
	;uvideli jsme zvire, je nutne zkontrolovat, jestli nektere ze zvirat, ktere ridic vidi neni na moste
        let animals-in-vision (animals-on patches-in-vision)
        let hit-breaks-bool false
        ask animals-in-vision [
          if pcolor != brown and hit-breaks-bool = false [
            set hit-breaks-bool true
          ]
        ]
        ;nektere ze zvirat v zornem poli neni na moste, tudiz brzda
        if hit-breaks-bool = true [
          hit-breaks
        ]
      ]
      ;v opacnem pripade muzeme opet akcelerovat
      [accelerate]
    ]
  ]
end

to hit-breaks
;a=g*adhesion viz http://oppa-smad.tf.czu.cz/?q=system/files/TD_cv_02.ppt
  let deceleration (10 * adhesion-index)
  let actual-speed (speed - deceleration)
  if actual-speed < 0 [
    ;pokud bychom se dostali na zapornou rychlost
    set actual-speed 0
  ]
  set speed actual-speed
end

;metoda zrychleni nema spravny vypocet, pro nasi simulaci by ale akcelerace nemela hrat moc velkou roli, tudiz muzeme zneuzit vzorecem pro spomaleni
to accelerate
  let acceleration (10 * adhesion-index)
  let actual-speed (speed + acceleration)
  if actual-speed >= top-speed-meters [
    ;pokud bychom se prekrocili max rychlost
    set actual-speed top-speed-meters
  ]
  set speed actual-speed
end

;metoda obarvi vsechny patches na canvasu na zeleno
to create-grass
ask patches [
    set pcolor green;
]
end

;vytvoreni cesty
to create-road
ask patches [
    if(pycor >= 60) and (pycor <= 68)[
      set pcolor gray;
    ]
]
end

;vykresleni stredove cary na vozovce
to create-mid-line
ask patches [
    if (pycor = 64) and ((pxcor mod 2) = 0) [
      set pcolor white;
    ]
]
end

;metoda slouzici pro pridani mostu, maximalni pocet mostu je 10
to create-bridge
let max-number-of-bridges 10
ifelse number-of-bridges = 10
  [set number-of-bridges 10]
  [set number-of-bridges (number-of-bridges + 1)]


let bridge-width 15

;pocitame s fixni velikosti canvasu, tudiz i mosty muzeme pridavat staticky
let bridge-span ((max-pxcor - (max-number-of-bridges * bridge-width)) / max-number-of-bridges)

if number-of-bridges = 1 [
    add-bridge 5 bridge-span
]

if number-of-bridges = 2 [
    add-bridge 4 bridge-span
]

if number-of-bridges = 3 [
    add-bridge 6 bridge-span
]
if number-of-bridges = 4 [
    add-bridge 7 bridge-span
]
if number-of-bridges = 5 [
    add-bridge 3 bridge-span
]
if number-of-bridges = 6 [
    add-bridge 8 bridge-span
]
if number-of-bridges = 7 [
    add-bridge 2 bridge-span
]
if number-of-bridges = 8 [
    add-bridge 9 bridge-span
]
if number-of-bridges = 9 [
    add-bridge 1 bridge-span
]
if number-of-bridges = 10 [
    add-bridge 10 bridge-span
]
end

;metoda konsolidujici metodu new-simulation, celkem pouzivame kombinace vsech promennych, pocet vysledku by mel byt 4*3^5
to run-simulations
  print "<table><tr><th>Maximalni rychlost</th><th>Pocet mostu</th><th>Cetnost prujezdu aut</th><th>Cetnost vyskytu zvere</th><th>Prilnavost vozovky</th><th>Viditelnost</th><th>Pocet zvirat celkem</th><th>Pocet aut celkem</th><th>Pocet nehod</th>"
  foreach [30 50 90 130] [
    i-speed ->
    foreach [0 5 10] [
      i-bridges ->
      foreach [10 25 50] [
        i-cars ->
        foreach [10 25 50] [
          i-animals ->
          foreach [0.15 0.6 0.8] [
            i-adhesion ->
            foreach [20 100 180] [
              i-visibility -> new-simulation i-speed i-bridges i-adhesion i-visibility i-animals i-cars
            ]
          ]
        ]
      ]
    ]
  ]
  print "</table>"
end

;metoda, ktera nam usnadni praci pro ziskavani dat ze simulace, na zaklade vstupnich dat provede simulaci a nasledne vytiskne vysledky jako radek html tabulky
to new-simulation [simulation-speed simulation-number-of-bridges simulation-adhesion simulation-visibility simulation-animal-tick simulation-cars-tick]
  let i 0
  let j 0
  set road-top-speed simulation-speed
  while [j < simulation-number-of-bridges][
    create-bridge
    set j (j + 1)
  ]
  set adhesion-index simulation-adhesion
  set visibility simulation-visibility

  set new-animal-every-tick-number simulation-animal-tick
  set new-car-every-tick-number simulation-cars-tick

  setup
  while [i <= ticks-to-be-run] [
    go
    set i (i + 1)
  ]
  print (word "<tr><td>" road-top-speed "</td><td>" number-of-bridges "</td><td>" new-car-every-tick-number "</td><td>" new-animal-every-tick-number "</td><td>" adhesion-index "</td><td>" visibility "</td><td>" number-of-animals-created "</td><td>" number-of-cars-created "</td><td>" number-of-collisions "</td></tr>")
end

;metoda, ktera na zaklade indexu mostu a vzdalenosti mezi mosty vypocita pozici pro umisteni mostu
to add-bridge [index bridge-span]
  let bridge-middle (index * bridge-span)
  let bridge-left-bound (bridge-middle - 3)
  let bridge-right-bound (bridge-middle + 3)
  ask patches [
    if pxcor >= bridge-left-bound and pxcor <= bridge-right-bound and pycor >= bridge-lower-bound and pycor <= bridge-upper-bound [
      set pcolor brown
    ]
  ]
end
@#$#@#$#@
GRAPHICS-WINDOW
132
13
8336
538
-1
-1
4.0
1
10
1
1
1
0
0
0
1
0
2048
0
128
0
0
1
ticks
80.0

BUTTON
12
17
116
50
Prepare road
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
132
625
304
658
road-top-speed
road-top-speed
30
130
30.0
10
1
km/h
HORIZONTAL

SLIDER
319
625
520
658
new-car-every-tick-number
new-car-every-tick-number
0
100
10.0
10
1
NIL
HORIZONTAL

SLIDER
533
625
705
658
adhesion-index
adhesion-index
0.15
0.8
0.15
0.05
1
NIL
HORIZONTAL

SLIDER
721
625
893
658
visibility
visibility
20
250
100.0
10
1
m
HORIZONTAL

SLIDER
134
673
352
706
new-animal-every-tick-number
new-animal-every-tick-number
0
100
10.0
10
1
NIL
HORIZONTAL

TEXTBOX
46
631
196
649
Car Sliders:
11
0.0
1

TEXTBOX
47
682
197
700
Animal sliders:
11
0.0
1

BUTTON
12
57
118
90
Go
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

MONITOR
134
724
361
769
Number of animals dead / cars crashed
number-of-collisions
17
1
11

BUTTON
13
100
105
133
Add brigde
create-bridge
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

MONITOR
376
723
490
768
Number of bridges
number-of-bridges
17
1
11

INPUTBOX
132
544
287
604
ticks-to-be-run
300.0
1
0
Number

TEXTBOX
44
569
194
587
Number of ticks:
11
0.0
1

MONITOR
506
723
620
768
Number of animals
number-of-animals-created
17
1
11

MONITOR
637
722
734
767
Number of cars
number-of-cars-created
17
1
11

BUTTON
14
146
125
179
Run simulation
run-simulations
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

@#$#@#$#@
## WHAT IS IT?

(a general understanding of what the model is trying to show or explain)

## HOW IT WORKS

(what rules the agents use to create the overall behavior of the model)

## HOW TO USE IT

(how to use the model, including a description of each of the items in the Interface tab)

## THINGS TO NOTICE

(suggested things for the user to notice while running the model)

## THINGS TO TRY

(suggested things for the user to try to do (move sliders, switches, etc.) with the model)

## EXTENDING THE MODEL

(suggested things to add or change in the Code tab to make the model more complicated, detailed, accurate, etc.)

## NETLOGO FEATURES

(interesting or unusual features of NetLogo that the model uses, particularly in the Code tab; or where workarounds were needed for missing features)

## RELATED MODELS

(models in the NetLogo Models Library and elsewhere which are of related interest)

## CREDITS AND REFERENCES

(a reference to the model's URL on the web if it has one, as well as any other necessary credits, citations, and links)
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270
@#$#@#$#@
NetLogo 6.0.1
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180
@#$#@#$#@
0
@#$#@#$#@
